locked
addressing dependency with partial deployment of CF1? RRS feed

  • Question

  • I discovered that a dll used in our solution has a dependency on mscorlib and System.dll version 1.0.500, while the rest of the solution is upgraded to Compact Framework v2.

    Is there some way to create a CAB that includes just those two CF1 files for deployment, instead of requiring all of CF1 along with all of CF 2?

    Or can I assume that the CF 2 version of these dependencies will be compatible?

    Thanks.

    Wednesday, February 28, 2007 10:21 PM

Answers

  • Yes, NETCF V2 would automatically redirect 1.0 assemblies on to 2.0 versions, so your solution should work.

    That is only true for NETCF V1 assemblies, desktop assemblies won't be redirected and would cause TypeLoadException.

    Wednesday, February 28, 2007 10:55 PM